### Method

# Camel NetworkSettings get_auth_mechanism

since: 3.4

#### Declaration [src]

    const gchar*
    camel_network_settings_get_auth_mechanism (
      CamelNetworkSettings* settings
    )

#### Description [src]

Returns the mechanism name used to authenticate to a network service. Often this refers to a SASL mechanism such as “LOGIN” or “GSSAPI”.

Available since: 3.4

Gets property | `Camel.NetworkSettings:auth-mechanism`

#### Return value

Type: `const gchar*`

The authentication mechanism name.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.